delete from report_sql where computer = {?computer};

-- num1 = id_dn
-- num2 = service cost
-- num3 = material cost
-- num4 = workers cost
-- num5 = sales amount
-- num6 = type (1 = service, 2 = worker, 3 = material)

-- str1 = ime kupca
-- str2 = ime plovila
-- str3 = stevilka DN
-- str4 = description (service / worker / material)

-- insertiramo vse storitve iz DN
insert into report_sql (computer,num1,num2,num5,num6,str1,str2,str3,str4)
select {?computer},d.id_dn,st.service_cost,
s.znesek*((100-coalesce(s.popust,0))/100)*((100-coalesce(s.popust1,0))/100)*((100-coalesce(s.popust1,0))/100)*((100+coalesce(s.provizija,0))/100),
1,case when k.priimek is null then k.ime else k.priimek || ' ' || k.ime end,
p.ime,d.stevilka,st.opis
from m_de_na d
left join kupci k on d.id_lastnika = k.id
left join plovila p on d.id_plovila = p.id
left join m_storitve s on d.id_dn = s.id_dn
left join m_nnstomar st on s.storitev = st.sifra
where d.type = 'WO' and (s.n_racuna is null or s.n_racuna <> 'STORNO') and 
((S.CALCULATING IS NULL AND S.VRSTA='DN') OR (S.VRSTA='ST' AND S.ID_STORITVE_GEN IN (SELECT ID_STORITVE FROM M_STORITVE WHERE VRSTA='DN' AND CALCULATING IS NOT NULL)))
?and s.nnlocation_id = {?location_id}
?and d.datum_dn >= {?from}
?and d.datum_dn <= {?to}
;

-- insertiramo vse izdajnice vezane na DN
insert into report_sql (computer,num1,num3,num5,num6,str1,str2,str3,str4)
select {?computer},d.id_dn, pr.kolicina*a.cena_skl, pr.znesek/((coalesce(pr.dav_stopnja,0)+100)/100),3,
case when k.priimek is null then k.ime else k.priimek || ' ' || k.ime end,
p.ime,d.stevilka,a.naziv1
from m_de_na d
left join kupci k on d.id_lastnika = k.id
left join plovila p on d.id_plovila = p.id
inner join s_dokument dok on d.id_dn = dok.del_nalog
inner join s_promet pr on dok.id_dokument = pr.id_dokument
inner join s_artikli a on pr.id_artikel = a.id_artikel
where d.type = 'WO'
?and dok.nnlocation_id = {?location_id}
?and d.datum_dn >= {?from}
?and d.datum_dn <= {?to}
;

-- insertiramo vse delo vezano na storitve na DN
insert into report_sql (computer,num1,num4,num6,str1,str2,str3,str4)
select {?computer},d.id_dn,w.price*de.stevilo_ur,2,case when k.priimek is null then k.ime else k.priimek || ' ' || k.ime end,
p.ime,d.stevilka,w.opis
from m_de_na d
left join kupci k on d.id_lastnika = k.id
left join plovila p on d.id_plovila = p.id
left join m_storitve s on d.id_dn = s.id_dn
inner join delavci de on de.id_storitve = s.id_storitve
left join nndelavc w on de.sifra = w.sifra
where d.type = 'WO'
?and s.nnlocation_id = {?location_id}
?and d.datum_dn >= {?from}
?and d.datum_dn <= {?to}
;